Bug 119072 - LTC7041-OnDemand Timer patch breaks TOP
Summary: LTC7041-OnDemand Timer patch breaks TOP
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Red Hat Enterprise Linux 3
Classification: Red Hat
Component: procps (Show other bugs)
(Show other bugs)
Version: 3.0
Hardware: All Linux
high
medium
Target Milestone: ---
Assignee: Daniel Walsh
QA Contact: Brian Brock
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2004-03-24 17:48 UTC by Bill Goodrich
Modified: 2007-11-30 22:07 UTC (History)
5 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2004-04-14 13:39:36 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description Bill Goodrich 2004-03-24 17:48:47 UTC
The following has be reported by IBM LTC:  
OnDemand Timer patch breaks TOP
Hardware Environment:
zSeries

Software Environment:
RHEL3 U2

Steps to Reproduce:
1.deactive OnDemand Timer (echo "0" < /proc/sys/kernel/hz_timer
2.run Top
3.

Actual Results:
TOP produces error message:
  INVALID CPU time data!

Snap shot of TOP output:
CPU states:  cpu    user    nice  system    irq  softirq  iowait    idle
           total  100.0%    0.0%    0.0%   0.0%     0.0%    0.0%    0.0%
  B: PPIcpu00 - INVALID CPU time data!
           cpu01  100.0%    0.0%    0.0%   0.0%     0.0%    0.0%    0.0%

Expected Results:
Snapshot of good top output with OnDemand Timer active 
(/proc/sys/kernel/hz_timer = 1)
 
CPU states:  cpu    user    nice  system    irq  softirq  iowait    idle
           total    0.0%    0.0%    0.1%   0.0%     0.0%    0.1%   99.7%
           cpu00    0.0%    0.0%    0.0%   0.0%     0.0%    0.0%  100.0%

Additional Information:

Comment 1 Brock Organ 2004-03-24 21:49:12 UTC
verified issue on internal test systems ...

Comment 2 Ernie Petrides 2004-03-30 03:24:19 UTC
This was a known issue when the On-Demand timer patch was
implemented, which is why the default is off.  However, I'm
reassigning this to the maintainer of the procps package,
which is what includes the "top" command, to see if something
sensible can be done in the case where the On-Demand timer is
enabled.


Comment 3 Daniel Walsh 2004-04-06 03:18:56 UTC
Can we see if procps-3.2.0 fixes this problem?

Comment 4 Pete Zaitcev 2004-04-06 04:17:27 UTC
We could, if you've built it. Do you want me to try FC2 package?

[zaitcev@devserv zaitcev]$ ls /mnt/redhat/beehive/comps/dist/3.0E*/procps
/mnt/redhat/beehive/comps/dist/3.0E-errata-candidate/procps:
2.0.13-9.3E
                                                                     
          
/mnt/redhat/beehive/comps/dist/3.0E/procps:
2.0.13-9.2E
[zaitcev@devserv zaitcev]$ ls /mnt/redhat/beehive/comps/dist/fc2*/procps
3.1.15-5  3.2.0-1  3.2.0-1.1
[zaitcev@devserv zaitcev]$


Comment 5 Daniel Walsh 2004-04-06 11:01:17 UTC
Ok I built it in 3.0E-errata-candidate

Dan

Comment 6 Pete Zaitcev 2004-04-06 20:15:56 UTC
Tried 3.2.1-3. Good news - no division by zero (instant
fault on s390), no error messages. Bad news - it just zeroes
all columns when counts are not advanced.

top - 12:18:27 up 19 days,  3:11,  1 user,  load average: 0.03, 0.02, 0.00
Tasks:  43 total,   1 running,  42 sleeping,   0 stopped,   0 zombie
 Cpu0 :   0.0% user, 100.0% system,   0.0% nice,   0.0% idle
 Cpu1 :   0.0% user,   0.0% system,   0.0% nice,   0.0% idle
 Cpu2 :   0.0% user,   0.0% system,   0.0% nice,   0.0% idle
 Cpu3 :   0.0% user, 100.0% system,   0.0% nice,   0.0% idle

Personally, I can live with it. Bill?


Comment 7 Bill Goodrich 2004-04-07 14:22:28 UTC
Pete, I don't have a problem with it. I'll ask our development team to
take a look and comment. 

Comment 8 Bill Goodrich 2004-04-14 13:39:36 UTC
Here are Martin's comments. 

Martin Schwidefsky <schwidefsky@de.ibm.com> 
04/07/2004 12:13 PM	
To
William Goodrich/Poughkeepsie/IBM@IBMUS
cc
Volker Tosta <TOS@de.ibm.com>
Subject
Re: Bug 119072 - LTC7041-OnDemand Timer patch breaks TOP
	
I personally can live with the behaviour of procps 3.2.1 to show 0% idle
time instead of 100%. It would be preferrable to have a procps that is
smart enough to recognize that the system didn't tick in the last 5
seconds
but as long as top & ps won't crash anymore I am ok with it.


blue skies,
   Martin

Linux/390 Design & Development, IBM Deutschland Entwicklung GmbH
Schönaicherstr. 220, D-71032 Böblingen, Telefon: 49 - (0)7031 - 16-2247
E-Mail: schwidefsky@de.ibm.com



	



Note You need to log in before you can comment on or make changes to this bug.